"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const tslib_es6 = require("../../../node_modules/tslib/tslib.es6.js");
const Axis = require("../Axis.js");
var SingleAxis = (
  /** @class */
  function(_super) {
    tslib_es6.__extends(SingleAxis2, _super);
    function SingleAxis2(dim, scale, coordExtent, axisType, position) {
      var _this = _super.call(this, dim, scale, coordExtent) || this;
      _this.type = axisType || "value";
      _this.position = position || "bottom";
      return _this;
    }
    SingleAxis2.prototype.isHorizontal = function() {
      var position = this.position;
      return position === "top" || position === "bottom";
    };
    SingleAxis2.prototype.pointToData = function(point, clamp) {
      return this.coordinateSystem.pointToData(point)[0];
    };
    return SingleAxis2;
  }(Axis.default)
);
const SingleAxis$1 = SingleAxis;
exports.default = SingleAxis$1;
